Subject: Re: Cygnus + VIM
From: [email-masked] (Michael Ring)
To: Shiv Kumar <[email-masked]>
Cc: [email-masked]
Date: Wed, 05 Jul 2000 12:48:11 +0200

On Wed, 05 Jul 2000 14:34:15 +0530, you wrote:

>Hi group
>
>I am happy that the latest release is bundled with Cygwin version of VIM. Way to
>go!
>
>  1. Why do we have these two files, vi.exe and vim.exe in the /bin directory?
>     Is there any difference between the two.

No, they are identical right now. The reason for /bin/vi is
compatibility (and my stupid brain, I always use vi for editing
because I work on multiple plattforms) The problem is, that in the
version you downloaded I was not aware that hardlinks actually work
with cygwin on ntfs so I simply copied /bin/vim.exe to /bin/vi. The
next (and hopefully official) version fo vim will fix that behaviour;
on ntfs hardlinks will be created, on fat32 files will be duplicated. 

The reason for not using softlinks is, that softlinks are not useable
outside of the cygwin shell.

>
>  2. If I try to run another VIM script (eg matchit.vim) using :source command
>     inside VIM or in _vimrc file, it complains about trailing ^M characters.
>     But I dont see any ^M chars in that file.
>

I will have a look at this

>  3. Some of my map commands does not work. Eg, :map <C-Q> :q!<CR> does not work
>     when I press CTRL+q. Similarly <C-S> also does not work.

Strange, could you please send me your .vimrc file so that I can
check?
>
>  4. Any file with :syntax on is very hard to read with a black background. The
>     colors were all decent when I used Win32 version of VIM. Where does
>     cygwin-vim pick sytax coloring from?
>

look at the release notes in /usr/doc/Cygwin directory. I have already
had attached a patch for the colors, perhaps I am really colorblind
8-(

>Any help? Thanks.
>--
>shiv
>[email-masked]
>
>
>
>__________________________________________________
>Do You Yahoo!?
>Talk to your friends online with Yahoo! Messenger.
>http://im.yahoo.com

--
Want to unsubscribe from this list?
Send a message to [email-masked]